Bug 37261 - api/v1/extended_attribute_types does not return additional fields for unmapped tablenames
Summary: api/v1/extended_attribute_types does not return additional fields for unmappe...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Pedro Amorim
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 35197
Blocks: 37262
  Show dependency treegraph
 
Reported: 2024-07-05 12:11 UTC by Pedro Amorim
Modified: 2024-07-11 11:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 37261: Add tests for returning unmapped tablename (1.97 KB, patch)
2024-07-05 12:14 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 37261: Fix returning additional fields of unmapped tablename (765 bytes, patch)
2024-07-05 12:14 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 37261: Add tests for returning unmapped tablename (2.02 KB, patch)
2024-07-05 21:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 37261: Fix returning additional fields of unmapped tablename (813 bytes, patch)
2024-07-05 21:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 37261: Add tests for returning unmapped tablename (2.10 KB, patch)
2024-07-09 15:41 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 37261: Fix returning additional fields of unmapped tablename (870 bytes, patch)
2024-07-09 15:41 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Amorim 2024-07-05 12:11:10 UTC

    
Comment 1 Pedro Amorim 2024-07-05 12:14:25 UTC
Created attachment 168531 [details] [review]
Bug 37261: Add tests for returning unmapped tablename

Test plan:
1) Apply this patch only, run tests:
prove t/db_dependent/api/v1/extended_attribute_types.t
2) Notice they fail
3) Apply the fix patch, run tests again
Comment 2 Pedro Amorim 2024-07-05 12:14:27 UTC
Created attachment 168532 [details] [review]
Bug 37261: Fix returning additional fields of unmapped tablename
Comment 3 David Nind 2024-07-05 21:59:40 UTC
Created attachment 168567 [details] [review]
Bug 37261: Add tests for returning unmapped tablename

Test plan:
1) Apply this patch only, run tests:
prove t/db_dependent/api/v1/extended_attribute_types.t
2) Notice they fail
3) Apply the fix patch, run tests again

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2024-07-05 21:59:42 UTC
Created attachment 168568 [details] [review]
Bug 37261: Fix returning additional fields of unmapped tablename

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Tomás Cohen Arazi 2024-07-09 15:41:27 UTC
Created attachment 168669 [details] [review]
Bug 37261: Add tests for returning unmapped tablename

Test plan:
1) Apply this patch only, run tests:
prove t/db_dependent/api/v1/extended_attribute_types.t
2) Notice they fail
3) Apply the fix patch, run tests again

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Edit: amended to get rid of tidy errors
Comment 6 Tomás Cohen Arazi 2024-07-09 15:41:29 UTC
Created attachment 168670 [details] [review]
Bug 37261: Fix returning additional fields of unmapped tablename

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Katrin Fischer 2024-07-11 11:43:26 UTC
Pushed for 24.11!

Well done everyone, thank you!